Bug 16600 - XRenderComposite with mask and XRenderCreateSolidFill-src hits slow path
Summary: XRenderComposite with mask and XRenderCreateSolidFill-src hits slow path
Status: RESOLVED WONTFIX
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/intel (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Chris Wilson
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-03 10:05 UTC by Clemens Eisserer
Modified: 2010-12-02 19:37 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Clemens Eisserer 2008-07-03 10:05:41 UTC
XRenderComposite with mask (A8) and with a src picture created by XRenderCreateSolidFill hits a slow path with Xorg-server-1.4.902.

If mask is ommited or a "normal" 1x1 RGB24 pixmap is used as src, the existing fast-path is used.

Its just a guess that this could be the result of exa_render.c/exaComposite ->
    /* We currently don't support acceleration of gradients, or other pictures
     * with a NULL pDrawable.
     */
    if (pExaScr->swappedOut ||
	pSrc->pDrawable == NULL || (pMask != NULL && pMask->pDrawable == NULL))

I was using an intel-2.2.1 on 945GM.
Comment 1 Matt Turner 2010-12-02 19:37:10 UTC
I can't quite tell, but it looks like this is (was) really a problem with the -intel driver, and as it doesn't have XAA or EXA anymore I'm going to close as WONTFIX.


bug/show.html.tmpl processed on Mar 27, 2017 at 10:42:36.
(provided by the Example extension).